package com.samsung.embo.kpi.impl;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.samsung.embo.kpi.KpiService;
import com.samsung.embo.kpi.dao.KpiDao;
@Service
public class KpiServiceImpl implements KpiService{

	private final KpiDao  kpiDao;

	public KpiServiceImpl(KpiDao kpiDao) {

		this.kpiDao = kpiDao;
	}

	@Override
	public List<Map<String, Object>> selectModule(Map<String, Object> params) {

		return kpiDao.selectModule(params);
	}

	@Override
	public List<Map<String, Object>> selectTarget(Map<String, Object> params) {
		return kpiDao.selectTarget(params);
	}

	@Override
	public List<Map<String, Object>> selectKpi(Map<String, Object> params) {
		return kpiDao.selectKpi(params);
	}

}
